Bug 506284 - Sabayon crashes while trying to edit any profile
Sabayon crashes while trying to edit any profile
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 11:04 EDT by Jaime Torres
Modified: 2015-03-03 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaime Torres 2009-06-16 11:04:57 EDT
Description of problem:
Sabayon crashes when trying to edit any (existing or new) profile.

Version-Release number of selected component (if applicable):
Sabayon 2.25.0-3


How reproducible:
Every time the application is launched.

Steps to Reproduce:
1. Launch Sabayon
2. Select a existing profile or create a new one
3. Hit the edit button
  
Actual results:
Sabayon crashes with a fatal error: could not open display.

Expected results:
A GNOME session where the profile can be edited.

Additional info:
Debug log:

===== BEGIN MILESTONES (/usr/sbin/sabayon) =====
MainThread 2009/06/16 01:18:28.5256 (admin-tool): Creating profiles dialog
MainThread 2009/06/16 01:18:28.5710 (admin-tool): Starting main loop
MainThread 2009/06/16 01:18:53.0407 (admin-tool): ========== BEGIN
SABAYON-SESSION LOG ==========
No protocol specified
Traceback (most recent call last):
  File "/usr/libexec/sabayon-session", line 26, in <module>
    import gtk
  File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 79, in
<module>
    _init()
  File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 67, in
_init
    _gtk.init_check()
RuntimeError: could not open display

========== END SABAYON-SESSION LOG ==========
MainThread 2009/06/16 01:18:53.0410 (admin-tool): Got fatal error:
sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2009/06/16 01:19:15.7516 (admin-tool): Terminating main loop
MainThread 2009/06/16 01:19:15.7516 (admin-tool): Exiting abnormally; dumping
log due to a fatal error
===== END MILESTONES (/usr/sbin/sabayon) =====
===== BEGIN RING BUFFER (/usr/sbin/sabayon) =====
MainThread 2009/06/16 01:18:28.5256 (admin-tool): Creating profiles dialog
MainThread 2009/06/16 01:18:28.5710 (admin-tool): Starting main loop
MainThread 2009/06/16 01:18:30.5122 (USER): Starting to edit profile 'test'
MainThread 2009/06/16 01:18:53.0407 (admin-tool): ========== BEGIN
SABAYON-SESSION LOG ==========
No protocol specified
Traceback (most recent call last):
  File "/usr/libexec/sabayon-session", line 26, in <module>
    import gtk
  File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 79, in
<module>
    _init()
  File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 67, in
_init
    _gtk.init_check()
RuntimeError: could not open display

========== END SABAYON-SESSION LOG ==========
MainThread 2009/06/16 01:18:53.0410 (admin-tool): Got fatal error:
sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2009/06/16 01:19:15.7509 (USER): Finishing editing profile
MainThread 2009/06/16 01:19:15.7516 (admin-tool): Terminating main loop
MainThread 2009/06/16 01:19:15.7516 (admin-tool): Exiting abnormally; dumping
log due to a fatal error
===== END RING BUFFER (/usr/sbin/sabayon) =====
Comment 1 Bug Zapper 2010-04-27 10:58:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:03:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Uno Engborg 2011-01-08 19:48:40 EST
This bug should be reopened. 
It is still exists in  Fedora 14

Note You need to log in before you can comment on or make changes to this bug.